Bug 208691

Summary: Implementation of AccessibilitySupport AXSIsolatedTreeMode.
Product: WebKit Reporter: Andres Gonzalez <andresg_22>
Component: New BugsAssignee: Andres Gonzalez <andresg_22>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, annulen, apinheiro, cdumez, cfleizach, commit-queue, dino, dmazzoni, ews-watchlist, gyuyoung.kim, jcraig, jdiggs, ryuan.choi, saagar, samuel_white, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Andres Gonzalez 2020-03-05 20:41:49 PST
Implementation of HIServices AXSIsolatedTreeMode.
Comment 1 Andres Gonzalez 2020-03-05 20:51:26 PST
Created attachment 392668 [details]
Patch
Comment 2 Andres Gonzalez 2020-03-06 06:15:09 PST
Created attachment 392714 [details]
Patch
Comment 3 Andres Gonzalez 2020-03-06 09:53:10 PST
Created attachment 392734 [details]
Patch
Comment 4 WebKit Commit Bot 2020-03-06 18:05:52 PST
The commit-queue encountered the following flaky tests while processing attachment 392734 [details]:

media/track/track-in-band-metadata-display-order.html bug 206226 (author: jer.noble@apple.com)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2020-03-06 18:06:31 PST
Comment on attachment 392734 [details]
Patch

Clearing flags on attachment: 392734

Committed r258047: <https://trac.webkit.org/changeset/258047>
Comment 6 WebKit Commit Bot 2020-03-06 18:06:33 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2020-03-06 18:07:15 PST
<rdar://problem/60178602>
Comment 8 Andres Gonzalez 2020-03-07 09:07:07 PST
This change was rolled out due to incompatibility with SDK.
Comment 9 Andres Gonzalez 2020-03-08 11:54:59 PDT
Created attachment 392965 [details]
Patch
Comment 10 Andres Gonzalez 2020-03-08 11:57:34 PDT
Fixes incompatibility with SDK by softlinking with AccessibilitySupport.
Comment 11 Andres Gonzalez 2020-03-08 12:40:28 PDT
Created attachment 392975 [details]
Patch
Comment 12 Andres Gonzalez 2020-03-08 13:37:11 PDT
Created attachment 392980 [details]
Patch
Comment 13 WebKit Commit Bot 2020-03-08 14:49:51 PDT
Comment on attachment 392980 [details]
Patch

Clearing flags on attachment: 392980

Committed r258115: <https://trac.webkit.org/changeset/258115>
Comment 14 WebKit Commit Bot 2020-03-08 14:49:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Chris Dumez 2020-03-09 09:32:08 PDT
(In reply to WebKit Commit Bot from comment #14)
> All reviewed patches have been landed.  Closing bug.

I have been having trouble building since this change:
Source/WebCore/PAL/pal/spi/cocoa/AccessibilitySupportSoftLink.h:36:85: error: unknown type name 'AXSIsolatedTreeMode'
Comment 16 Dean Jackson 2020-03-09 09:33:57 PDT
(In reply to Chris Dumez from comment #15)
> (In reply to WebKit Commit Bot from comment #14)
> > All reviewed patches have been landed.  Closing bug.
> 
> I have been having trouble building since this change:
> Source/WebCore/PAL/pal/spi/cocoa/AccessibilitySupportSoftLink.h:36:85:
> error: unknown type name 'AXSIsolatedTreeMode'

Same here. I don't see AXSIsolatedTreeMode defined anywhere in current or future versions of macOS.
Comment 17 chris fleizach 2020-03-09 09:37:55 PDT
(In reply to Dean Jackson from comment #16)
> (In reply to Chris Dumez from comment #15)
> > (In reply to WebKit Commit Bot from comment #14)
> > > All reviewed patches have been landed.  Closing bug.
> > 
> > I have been having trouble building since this change:
> > Source/WebCore/PAL/pal/spi/cocoa/AccessibilitySupportSoftLink.h:36:85:
> > error: unknown type name 'AXSIsolatedTreeMode'
> 
> Same here. I don't see AXSIsolatedTreeMode defined anywhere in current or
> future versions of macOS.

You would need a recent version of SDK.
Comment 18 Dean Jackson 2020-03-09 09:50:16 PDT
In the future if a change requires an SDK that is newer than a couple of days old, could you email our internal list to let people know? (or, even better, stage it so that people don't need to upgrade).
Comment 19 Saagar Jha 2020-07-02 18:23:23 PDT
Hi, sorry to resurrect a months-old bug, but I'm seeing a build failure suspiciously similar to the one described here when using the public 10.16 SDK. If AXSIsolatedTreeMode is SPI (it looks like it is?) would you mind adding a stub or polyfill of some sort so that I can build WebKit without it?